import { r as registerInstance, h } from './index-0861cb0b.js';
import './common-d52c7ecc.js';
import { C as Card } from './Card-0b58db08.js';
import { g as getProps } from './tools-f7209f13.js';

const UICard = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h(Card, Object.assign({}, getProps(['embelish'], this)), h("slot", null)));
  }
};

export { UICard as ui_card };
